https://github.com/NetworkConfiguration/dhcpcd/commit/e9e40400003db2e4f12dba85acabbaf2212a520f

From e9e40400003db2e4f12dba85acabbaf2212a520f Mon Sep 17 00:00:00 2001
From: Scott Shambarger <devel@shambarger.net>
Date: Sat, 7 Dec 2024 16:37:28 +0000
Subject: [PATCH] linux: Allow the __NR_rt_sigprocmask syscall

Fixes recent glibc changes to getrandom() used by arc4random().
Fixes #421.
---
 src/privsep-linux.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/privsep-linux.c b/src/privsep-linux.c
index 8357904c..e3485a2e 100644
--- a/src/privsep-linux.c
+++ b/src/privsep-linux.c
@@ -409,6 +409,9 @@ static struct sock_filter ps_seccomp_filter[] = {
 #ifdef __NR_recvmsg
 	SECCOMP_ALLOW(__NR_recvmsg),
 #endif
+#ifdef __NR_rt_sigprocmask
+	SECCOMP_ALLOW(__NR_rt_sigprocmask),
+#endif
 #ifdef __NR_rt_sigreturn
 	SECCOMP_ALLOW(__NR_rt_sigreturn),
 #endif

